This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 996408 - CVE-2013-4238 bzr: python: hostname check bypassing vulnerability in SSL module [fedora-all]
CVE-2013-4238 bzr: python: hostname check bypassing vulnerability in SSL modu...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bzr (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 02:38 EDT by Murray McAllister
Modified: 2015-01-04 17:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-13 08:59:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-08-13 02:38:56 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Murray McAllister 2013-08-13 02:39:16 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=996381,996408
Comment 2 Murray McAllister 2013-08-13 08:59:31 EDT
I incorrectly opened this tracking bug. The issue is in the core Python
certificate handling functionality and will be fixed there.

Note You need to log in before you can comment on or make changes to this bug.